fileID=fopen('Riser14M.mpf','r');
for i=1:13
fgets(fileID);
end
M=fscanf(fileID,'%e',[2,inf])';
fclose(fileID);

fileID=fopen('Riser14G.mpf','r');
for i=1:13
fgets(fileID);
end
g=fscanf(fileID,'%e',[2,inf])';
fclose(fileID);

[gmax,idx]=max(g(:,2));
l=2500;
EI=4.21e5;
G=2*sqrt(EI*gmax*1e3+(EI*pi/l)^2)*1e-3;
G2=2*sqrt(EI*3e3+(EI*pi/l)^2)*1e-3;
figure
hold on
plot(M(:,1),M(:,2));
plot([M(1,1),M(end,1)],[G,G],'--');
plot([M(1,1),M(end,1)],[G2,G2],'--');
title('Riser 14" WET STATE (Pipe31)')
xlabel('Impost rotation [rad]')
ylabel('Moment about X [kNm]')
legend('BFLEX2010',['Greenhill T=',num2str(g(idx,2)),'kN'],'Greenhill T_0','Location','northwest')
hold off



[Y,~]=ReadGL(2300,45,'14GLPLOTs_y.mpf');
[Z,t]=ReadGL(2300,45,'14GLPLOTs_z.mpf');


%Calculating total curvature
S=zeros(size(Y));
S(:,1)=Y(:,1);
for i=1:length(t)
    S(:,i+1)=sqrt(Z(:,i+1).^2+Y(:,i+1).^2);
end
[v,idx2]=max(M(:,2));
Beta=2.56e-3;
K=1/3.696;
tc=idx2+5;
figure
hold on
plot(S(:,1)',S(:,tc+1)','-','DisplayName','Curvature at buckling')
plot([S(1,1),S(end,1)],[Beta,Beta],'--','DisplayName','Slip Curvature')
plot([S(1,1),S(end,1)],[K,K],'--','DisplayName','Max Allowable Curvature')
hold off

title('Riser 14" WET STATE (Pipe31)')
xlabel('Coordinat along riser [m]')
ylabel('Total curvature [1/m]')
legend('Location','northeast')

figure
plot(g(:,1),g(:,2));
title('Riser 14" WET STATE (Pipe31)')
xlabel('Time [s]')
ylabel('Element tension [kNm]')