%--------------------------------------------------------------------------
%                PLOT MAKER EXTENDED DYNAMIC HIV ANALYSIS
%--------------------------------------------------------------------------

ElementN=2300; % Totalt nummer av elementer
endT=145; % Tid ved ananlyse slutt
NameModel0='R14WcomDHa';
a=[0.5,2,4]; % Amplituder [m]
R=14; % Rr strrelse [in]
state='WET';
ElementT='Compipe42'; % Element type
TitleLine=['Riser ',num2str(R),'" ',state,' STATE (',ElementT,') '];
C=0.3318; % Critical curvature
K=1/3.696;

% Plot Moment vs. Time 

    
    figure
    hold on
    for j=1:length(a)
        ModelName=[NameModel0,num2str(a(j)*10)];
        M=ReadEP([ModelName,'M.mpf'],0);
        ts=find(M(:,1)==45);
        plot(M(ts:end,1),M(ts:end,2),'DisplayName',['a=',num2str(a(j))])
    end

    title(TitleLine)
    xlabel('Time [s]')
    ylabel('Element Tortinal Moment [kNm]')        
    legend('Location','best')
    hold off


% Ploting max curvature vs. Time
    c=zeros(9,3);
    figure
    hold on
    for j=1:length(a)
        ModelName=[NameModel0,num2str(a(j)*10)];
        [Y,~]=readGL(ElementN,endT,[ModelName,'_y.mpf']);
        [Z,t]=readGL(ElementN,endT,[ModelName,'_z.mpf']);
        ts=find(t==45);
        % Calculating total curvature
        S=zeros(size(Y));
        S(:,1)=Y(:,1);
        for k=1:length(t)
            S(:,k+1)=sqrt(Z(:,k+1).^2+Y(:,k+1).^2);
        end
        
        % Calculating maximum total curvatur
        [v,sN]=min(abs(S(:,1)-2100));
        Cmax=max(S(1:sN,2:end));
        b=Cmax(ts+7:10:end);
        c(:,j)=b(2:end)-b(1:end-1);

        % Ploting max curvature vs. Time
        plot(t(ts:end),Cmax(ts:end),'-o','DisplayName',['a=',num2str(a(j))]')
    end
    
    %plot([0,endT],[C,C],'--','DisplayName','Buckling curvature')
    %plot([0,endT],[K,K],'--','DisplayName','Maximum allowable curvature')
    title(TitleLine)
    xlabel('Time [s]')
    ylabel('Total maximum curvature [1/m]')
    legend('Location','best')
    hold off
    
        figure
    hold on
    for j=1:length(a)
        plot(1:9,c(:,j),'DisplayName',['a=',num2str(a(j))])
    end

    title(TitleLine)
    xlabel('Number')
    ylabel('Difference in local maxima [1/m]')        
    legend('Location','best')
    hold off







