fileID=fopen('Riser6M.mpf','r');
for i=1:13
fgets(fileID);
end
M=fscanf(fileID,'%e',[2,inf])';
fclose(fileID);

fileID=fopen('Riser6M2.mpf','r');
for i=1:13
fgets(fileID);
end
M2=fscanf(fileID,'%e',[2,inf])';
fclose(fileID);

fileID=fopen('Riser6G.mpf','r');
for i=1:13
fgets(fileID);
end
g=fscanf(fileID,'%e',[2,inf])';
fclose(fileID);

[gmax,idx]=max(g(:,2));
l=2500;
EI=2.70e6;
G=2*sqrt(EI*gmax*1e3+(EI*pi/l)^2)*1e-3;
G2=2*sqrt(EI*1e3+(EI*pi/l)^2)*1e-3;
figure
hold on
plot(M(:,1),M(:,2));
plot([M(1,1),M(end,1)],[G,G],'--');
plot([M(1,1),M(end,1)],[G2,G2],'--');
title('Riser 6" DRY STATE (Pipe31)')
xlabel('Impost rotation [rad]')
ylabel('Moment about X [kNm]')
legend('BFLEX2010',['Greenhill T=',num2str(g(idx,2)),'kN'],'Greenhill T_0','Location','northwest')
hold off

figure
hold on
plot(M2(:,1),M2(:,2));
plot([M(1,1),M(end,1)],[G,G],'--');
plot([M(1,1),M(end,1)],[G2,G2],'--');
title('Riser 6" DRY STATE (Pipe31)')
xlabel('Impost rotation [rad]')
ylabel('Moment about X [kNm]')
legend('BFLEX2010',['Greenhill T=',num2str(g(idx,2)),'kN'],'Greenhill T_0','Location','northwest')
hold off

figure
plot(g(:,1),g(:,2));
title('Riser 6" DRY STATE (Pipe31)')
xlabel('Time [s]')
ylabel('Element tension [kNm]')


[Y,~]=ReadGL(2297,45,'6GLPLOTs_y.mpf');
[Z,t]=ReadGL(2297,45,'6GLPLOTs_z.mpf');

%Calculating total curvature
S=zeros(size(Y));
S(:,1)=Y(:,1);
for i=1:length(t)
    S(:,i+1)=sqrt(Z(:,i+1).^2+Y(:,i+1).^2);
end

[v,idx2]=max(M2(:,2));
tc=idx2+5;
Beta=1.75e-1;
K=1/1.6995;
figure
hold on
plot(S(:,1)',S(:,tc+1)','-','DisplayName','Curvature at buckling')
plot([S(1,1),S(end,1)],[Beta,Beta],'--','DisplayName','Slip Curvature')
plot([S(1,1),S(end,1)],[K,K],'--','DisplayName','Max Allowable Curvature')
hold off

title('Riser 6" DRY STATE (Pipe31)')
xlabel('Coordinat along riser [m]')
ylabel('Total curvature [1/m]')
legend('Location','northeast')