function Writh_input_file(modelname,utilizasion,amplitude,n)

fid=fopen(modelname,'wt');
fprintf(fid,'HEAD PIPE31 DYNAMIC HIVE MODEL \n');
fprintf(fid,'HEAD 6" PIPE: DRY STATE \n');
fprintf(fid,'HEAD %3.2f CRITICAL TORQUE, %3.1fM AMPLITUDE \n',utilizasion,amplitude);
if n==1
    fprintf(fid,'CONTROL 100     3       2       16       1      1E-6    9.81    STRESSFREE \n');
elseif n==2
    fprintf(fid,'CONTROL 100     3       2       16       1      1E-6    9.81    RESTART 50 \n');
elseif n==3
    fprintf(fid,'CONTROL 100     3       2       16       1      1E-6    9.81    RESTART 4050 \n');
else
    error('Invalid value n')
end

fprintf(fid,'DYNCONT 1       0.0     0.051   -0.05 \n');
fprintf(fid,'TIMECO  5.0 0.1 1.0     201.0   STATIC  AUTO        NONE    ALL     300     5       1E-5 \n');
if n>=2
    fprintf(fid,'TIMECO  45.0    0.01    20.0    201.0   dynamic AUTO        none    ALL     20      5       1e-5 \n');
    if n==3
    fprintf(fid,'TIMECO  75.0    0.01     1.0    201.0   dynamic AUTO        none    ALL     20      5       1e-5 \n');
    end
end

fprintf(fid,'VISRES integration  1       Vcondis-y vcondis-z vconfor-y sigma-xx vconfor-z \n');

fprintf(fid,'#______________________________________________________________________________\n');
fprintf(fid,'# GEOMETRY\n');

fprintf(fid,'#PIPE\n');
fprintf(fid,'#       TYBE          NID       X     Y   Z\n');
fprintf(fid,'NOCOOR COORDINATES      1       0     0   -1999.894953 \n');
fprintf(fid,'REPEAT 540 1 1 0 0\n');
fprintf(fid,'NOCOOR COORDINATES    541     539.2   0   -1999.894953 \n');
fprintf(fid,'REPEAT 770 1 0.2 0 0 \n');
fprintf(fid,'NOCOOR COORDINATES    1311    695     0   -1999.894953 \n');
fprintf(fid,'REPEAT 988 1 2 0 0\n');


fprintf(fid,'#ELCON DATA for PIPE\n');
fprintf(fid,'#       ELGR    ELTY        CROSSNAME   ELID    NOD1    NOD2\n');
fprintf(fid,'ELCON   PIPE1   PIPE31      PIPEMAT1      1       1       2\n');
fprintf(fid,'REPEAT 539 1 1\n');
fprintf(fid,'ELCON   PIPE2   PIPE31      PIPEMAT1      540     540     541\n');
fprintf(fid,'REPEAT 770 1 1\n');
fprintf(fid,'ELCON   PIPE3   PIPE31      PIPEMAT1      1310    1310    1311\n');
fprintf(fid,'REPEAT 988 1 1\n');

fprintf(fid,'#SEABED\n');
fprintf(fid,'#       NAME   TYPE    SURFACEID    EID     NID \n');
fprintf(fid,'ELCON  SEABED CONT126   COSURF1    10001     1\n');
fprintf(fid,'REPEAT 2298 1 1\n');

fprintf(fid,'#SEASURFACE NODE\n');
fprintf(fid,'#       TYPE          NID       X     Y     Z\n');
fprintf(fid,'NOCOOR COORDINATES    20001      0   -200   0\n');
fprintf(fid,'                      20100    2670  -200   0\n');
fprintf(fid,'REPEAT 3 100 0 200.0 0\n');
fprintf(fid,'#       NAME   TYPE    MID      EID         NID\n');
fprintf(fid,'ELCON  SEA1   SEA150   SEAMAT  20001      20001 20002 20102 20101\n');
fprintf(fid,'REPEAT 99 1 1\n');
fprintf(fid,'REPEAT 2 99 100\n');

fprintf(fid,'#______________________________________________________________________________\n');
fprintf(fid,'#ORIENT INPUT\n');

fprintf(fid,'#PIPE\n');
fprintf(fid,'#                       ELNO          X          Y        Z\n');
fprintf(fid,'ELORIENT COORDINATES    1             0.0     1.000    -1999.894953 \n');
fprintf(fid,'REPEAT 2297 1 0 0 0\n');
fprintf(fid,'#SEABED                ELNO              TX       TY       TZ\n');
fprintf(fid,'ELORIENT EULERANGLE    10001           0.000    0.000      0.0\n');
fprintf(fid,'REPEAT 2298 1 0 0 0\n');

fprintf(fid,'#______________________________________________________________________________\n');

fprintf(fid,'#ELEMENT DATA(PIPE DATA)\n');
fprintf(fid,'#      NAME  TYPE RAD     TH     RCD TCD RMADD TMADD MD     MS      ODP   ODW   RKS PHIST \n');
fprintf(fid,'ELPROP PIPE1 PIPE 0.09385 0.0353 1.0 0.1 2     1.0   8.16E1 4.157E1 0.223 0.223 0.5 100   \n');
fprintf(fid,'ELPROP PIPE2 PIPE 0.09385 0.0353 1.0 0.1 2     1.0   8.16E1 4.157E1 0.223 0.223 0.5 100      \n');
fprintf(fid,'ELPROP PIPE3 PIPE 0.09385 0.0353 1.0 0.1 2     1.0   8.16E1 4.157E1 0.223 0.223 0.5 100      \n');

fprintf(fid,'#______________________________________________________________________________\n');
fprintf(fid,'# BONDRARY CONDITION\n');
fprintf(fid,'#PIPE\n');
fprintf(fid,'#        COSYS    NODEID    DOF\n');
fprintf(fid,'BONCON  GLOBAL      1       2 \n');
fprintf(fid,'BONCON  GLOBAL      1       3 \n');
fprintf(fid,'BONCON  GLOBAL   2298       1 \n');
fprintf(fid,'BONCON  GLOBAL   2298       2 \n');
if n==1
    fprintf(fid,'BONCON  GLOBAL   2298       4 \n');
    fprintf(fid,'BONCON  GLOBAL   2298       6 \n');
elseif n==2
    fprintf(fid,'BONCON  GLOBAL      1       1 \n');
    fprintf(fid,'BONCON  GLOBAL      1       4 \n');
    fprintf(fid,'BONCON  GLOBAL      1       6 \n');
    fprintf(fid,'BONCON  GLOBAL   2298       3 \n');
else
    fprintf(fid,'BONCON  GLOBAL      1       1 \n');
    fprintf(fid,'BONCON  GLOBAL      1       4 \n');
    fprintf(fid,'BONCON  GLOBAL      1       6 \n');
    fprintf(fid,'BONCON  GLOBAL   2298       4 \n'); 
    fprintf(fid,'BONCON  GLOBAL   2298       6 \n'); 
end

fprintf(fid,'#SEA\n');
fprintf(fid,'BONCON   GLOBAL   20001       1\n');
fprintf(fid,'REPEAT 300 1\n');
fprintf(fid,'BONCON   GLOBAL   20001       2\n');
fprintf(fid,'REPEAT 300 1\n');
fprintf(fid,'BONCON   GLOBAL   20001       3\n');
fprintf(fid,'REPEAT 300 1\n');

fprintf(fid,'#SEABED DATA/CONTACT ELEMENT\n');
fprintf(fid,'#           NAME    COFILE                  NLIN    KP0     XS      YS  ANGSTART    MLINEID \n');
fprintf(fid,'COSURFPR    COSURF1 "seabed_2000_flat.txt"  3       0.0     0.0   0.0   0.0         100 101 102\n');
fprintf(fid,'#        ROUTE ID           KP1          KP2    SOILTYPE\n');
fprintf(fid,'COSUPR        100           0.0      100000.0    soil1\n');
fprintf(fid,'COSUPR        101           0.0      100000.0    soil1\n');
fprintf(fid,'COSUPR        102           0.0      100000.0    soil1\n');

fprintf(fid,'#CONTACT INTERFACE DATA\n');
fprintf(fid,'#       GROUPN      MNAME          NAME     IS1   ISN    ISTX   ISTY  ISTZ   MAXIT  IGAP \n');
fprintf(fid,'CONTINT SEABED      PIPE1        COSURF1    1     540     5.0   5.0    0.0    60     2\n');
fprintf(fid,'CONTINT SEA1        SEA1         PIPE1\n');

fprintf(fid,'CONTINT SEABED      PIPE2        COSURF1    541   1310    5.0   5.0    0.0    60     2\n');
fprintf(fid,'CONTINT SEA1        SEA1         PIPE2\n');

fprintf(fid,'CONTINT SEABED      PIPE3        COSURF1    1311  2298    5.0   5.0    0.0    60     2\n');
fprintf(fid,'CONTINT SEA1        SEA1         PIPE3\n');

fprintf(fid,'#______________________________________________________________________________\n');

fprintf(fid,'#LOAD INPUT\n');
fprintf(fid,'#External Pressure and Gravity Load\n');
fprintf(fid,'#       PRESHIST GRAVHIST\n');
fprintf(fid,'PELOAD  100         100\n');
fprintf(fid,'#     HIST DIR NODE LOAD\n');
fprintf(fid,'CLOAD 150   1    1  -1E3 \n');
fprintf(fid,'#      seagrp type    wavno hist    x0  y0 phi   T     H   D      Phase \n');
fprintf(fid,'WAVELO SEA1   REGULAR 100   100   -1000 0  0.000 10.0 0.0  2000   0\n');

fprintf(fid,'# LIFTING END OF PIPE TO SEA SURFACE\n');
fprintf(fid,'#PRESCRIBED DISPLACEMENT \n');
fprintf(fid,'#            PDTYPE NODID DOF DISPVAL HISTNO\n');

if n==1
    fprintf(fid,'CONSTR PDISP GLOBAL 2298    3 2000.0  300 \n');
elseif n==2
    fprintf(fid,'CONSTR PDISP GLOBAL 2298    6  %f     400 \n',utilizasion*1134);
else
    fprintf(fid,'CONSTR PDISP GLOBAL 2298    3   %f    500 \n',amplitude);
end

fprintf(fid,'# HISTORY\n');
fprintf(fid,'THIST 100    0.0    0.0\n');
fprintf(fid,'             0.1    1.0\n');
fprintf(fid,'             1.0    1.0\n');

fprintf(fid,'THIST 150    0.0    50.0   \n');
fprintf(fid,'             5.0    1.0\n');

fprintf(fid,'THIST 300    0.0    0.0\n');
fprintf(fid,'             4.8    1.0\n');
            
fprintf(fid,'THIST_r 400 5.0 45.0 rampcos 1.0\n');

fprintf(fid,'THIST_F 500    "histfdata.txt" \n');

fprintf(fid,'#______________________________________________________________________________\n');
fprintf(fid,'# MATERIAL DATA\n');
fprintf(fid,'# PIPE:\n');
fprintf(fid,'#        name     type   poiss talfa tecond heatc beta ea      eiy     eiz     git     em    gm\n');
fprintf(fid,'MATERIAL pipemat1 linear 0.2   0     0      0     0    6.33E8 2.70e6 2.70e6  1.59e6  2.1e11   8.1e10 \n');

fprintf(fid,'#SEA\n');
fprintf(fid,'MATERIAL SEAMAT SEA 1.024E3\n');

fprintf(fid,'#SEABED\n');
fprintf(fid,'#         name      type      MUX     MUY  XNAME   YNAME   ZNAME   \n');
fprintf(fid,'MATERIAL  soil1     CONTACT   0.4     1.0  soilx   soily   soilz\n');
fprintf(fid,'#         name      type    IHARD  EPS       SIGMA\n');
fprintf(fid,'MATERIAL  soilx    epcurve  1      0.00      0.0\n');
fprintf(fid,'                                   0.005     1.0\n');
fprintf(fid,'                                   2.00      1.01\n');
                                
fprintf(fid,'MATERIAL  soily    epcurve  1      0.00      0.0\n');
fprintf(fid,'                                   0.02      1.0\n');
fprintf(fid,'                                   2.00      1.01\n');
                                
fprintf(fid,'MATERIAL  soilz     hycurve      -2000.0     -130E6\n');
fprintf(fid,'                                 2000.0      130E6\n');
 
end




